<cfcomponent>

	<!--- determine root URL, drive location, & CFC paths of application using cgi & CF --->
	<cfset sDrive = ReplaceNoCase(GetCurrentTemplatePath(), '_CleanFiles\Application.cfc', '')>
	<cfset sDrive = Left(sDrive, Len(sDrive) - 1)>
    <cfset sRoot = "http://" & cgi.HTTP_HOST & ReplaceNoCase(cgi.SCRIPT_NAME, ReplaceNoCase(ReplaceNoCase(cgi.PATH_TRANSLATED, sDrive, ''), '\', '/', 'all'), '')>
	<cfset sCFC = Replace(ReplaceNoCase(cgi.SCRIPT_NAME, ReplaceNoCase(ReplaceNoCase(cgi.PATH_TRANSLATED, sDrive, ''), '\', '/', 'all'), ''), '/', '.', 'all') & ".cfcomponents">
	<cfset sCFC = Right(sCFC, Len(sCFC) - 1)>
    
    <!--- set application properties --->
    <cfset this.name = "CF2Open">
    <cfset this.sessionManagement = true>
    <cfset this.applicationTimeout = CreateTimeSpan(5, 0, 0, 0)>
     
	<cffunction name="onApplicationStart">
				
		<!--- initialize application variables, create structures to hold the application vars --->
		<cfset application.paths = StructNew()>
		<cfset application.paths.sDrive = sDrive>

	</cffunction>
</cfcomponent>